search_text parameter lets you perform partial, case-insensitive search across multiple text fields in receivables. Currently it searches in counterpart names and document numbers (document_id). The search_text parameter is available in:
Improved support for non-taxable and tax-exempt sales.
Line items in receivables have the new tax_status field that indicates whether this item is taxable (default), non-taxable, or exempt from VAT/tax.
Non-taxable and exempt items are excluded from the tax summary in the totals of the line items table in PDFs.
Attachments can now be added and updated for receivables in any status.
enforce_approval_policy_id in create and update requests. The enforced policy is always applied, ignoring triggers and priority.einvoice_file_url to payables. When a payable is created from an e-invoice, the original file is stored and its download link is returned in this field.Support for multiple deductions.
Invoices and quotes can now have up to 10 deductions applied to the total amount after VAT.
Use the new deductions field to specify a list of deduction amounts and their labels.
The old deduction_amount and deduction_memo fields are still supported but have been deprecated and made mutually exclusive with the new deductions array.
Finding invoices with or without a due date.
Receivable search endpoints have a new boolean filter has_due_date that lets you find invoices that have a due date (regardless or its value) or do not have a due date.
This filter is available in:
Invoice due date and payment terms are now optional. Note that invoices without a due date do not generate payment reminders.
Improved the performance of receivable creation and search endpoints:
POST /receivablesGET /receivablesPOST /receivables/searchAs part of the performance improvements, the created_at__* and issue_date__* filters in GET /receivables and POST /receivables/search now ignore the milliseconds part of their value.
For example:
created_at__gte=YYYY-MM-DDThh:mm:ss.sssssZ
will be treated as
created_at__gte=YYYY-MM-DDThh:mm:ssZ
is_external field is the indicator for external integrations.ledger_account_id, tax_rate_id, and cost_center_id.GET /health endpoint for API health checks.We’ve introduced expense management as a core Monite capability, enabling businesses to handle the full lifecycle of company expenses in one place, connecting receipts and transactions. Some of expense management features include:
description field with concise, business-relevant text.Added new RBAC permissions: receipt and transaction.
They are required to call the /receipts and /transactions endpoints using an entity user token.
Added webhooks for receipts and transactions:
receipt.createdreceipt.updatedreceipt.deletedreceipt.ocr_finishedtransaction.createdtransaction.updatedtransaction.deletedcategory and category__in to the GET /tags endpoint.amount_due as a metric in the GET /analytics/payables endpoint.POST /payment_records /{payment_record_id} /start_processing and POST /payment_records /{payment_record_id} /cancel is now optional.
Previously, if you wanted to provide no payment_intent_status for these actions you still had to send an empty object {} in the request body. Now you can omit the request body in this case.Improved the performance of GET /receivables and POST /receivables/search when searching by product_id.
Previously, a custom document_id (document number) could be specified only during document creation.
Now you can also update it for existing invoices and quotes in the non-compliant mode by using PATCH /receivables/{receivable_id}.
We’ve added several improvements for email sending:
mail.reply_to to specify a list of email addresses to be used as the “Reply to” addresses in outgoing emails, such as invoice emails and payment reminders.{currency_symbol}{footer}{memo}{partner_metadata.<key>} variables. For more information, see Using metadata in emails.components in custom VAT rates from 3 to 10.is_einvoice field to credit note responses to indicate whether the credit note will be sent via e-invoicing.
Credit notes inherit the is_einvoice value from the original invoice.payment_intent_id field is no longer required when creating payment records with the created status.
It is still required for payment records in the processing and succeeded statuses.routing_number field to the counterpart.bank_account object in the payable payload.AI-powered counterpart suggestions. Now, when a user uploads a payable, Monite automatically analyzes the payable data and uses AI to suggest the most likely matching counterpart. The suggestion can be checked by calling GET /payables.
Added the ability to transition payables from waiting_to_be_paid back to new status by calling POST /payables. The rollback is supported for payables both with and without approval flows.
Added support for editing the amount_paid field via the PATCH method for payables in the new and draft statuses.
The deprecated partner setting payable.enable_line_items has been un-deprecated.
Attaching files to receivables.
Invoices, quotes, and credit notes have a new attachments field that you can use to attach supplemental documents like contracts or reports.
Monite also gives you granular control over which attachments get emailed or just stored for reference.
For more information, see Invoice attachments.
Customizing the line items table in PDFs. We’ve added new options to control the appearance of the line items table in PDF invoices, quotes, and credit notes. You can now hide individual columns or the entire line items table, change column labels, and change the precision of numeric fields (such as prices and VAT rates) to match industry norms and client expectations.
This feature is currently supported only for the new PDF template default_monite.
The new options are available as part of the entity setting document_rendering:
display_line_items (boolean) - controls whether to show or hide the entire line items table,line_items (object) - controls the visibility and appearance of individual columns in the line items table.Global document_rendering settings can also be overridden in individual invoices, quotes, and credit notes.
Invoices created from quotes and credit notes created from invoices inherit the document_rendering settings of the original document.
Estonian standard VAT rate has been updated from 22% to 24% to reflect the recent changes in VAT.
We’ve made some changes to the /files API:
file_type enum value: attachments.GET /files query parameters:
file_type to filter the uploaded files by purpose.id__in query parameter in GET /files was changed from required to optional.id__in or file_type query parameter is required to call GET /files.GET /einvoice_search to check if a specific VAT number or business number is registered in the PEPPOL network.
You can use it to look up an entity’s counterparts in PEPPOL before creating e-invoices.Payment links for accounts receivable invoices can now be created for a partial invoice amount. Entities can use this to request down payments from counterparts, or to let counterparts pay for large purchases in several installments.
Entity setting generate_paid_invoice_pdf now applies not only to fully paid invoices, but also to partially paid invoices and invoices with credit notes.
If this option is enabled, the totals block in the PDF invoice will include a list of all payments made and credit notes issued.
For example:
When using Monite payment rails, a payment record is now created right after a payment intent is created (for example, whenever a user creates a payment link).
Previously, payment records were created only for succeeded payment intents.
The status of those payment records will be automatically updated to reflect the status of the associated payment intents.
priority field to control which policy applies when multiple match. Higher values are evaluated first.Added a new endpoint that returns the next sequence number for invoices, quotes, credit notes, delivery notes, and purchase orders:
GET /entities
For example, if the last issued invoice has the document number INV-00042, this endpoint returns 43 as the next invoice number. You can use these numbers as minimums when setting the next document numbers manually.
Custom footer text. Invoices, quotes, and credit notes have a new optional footer field.
It is similar to memo but displayed below the line items table in the PDF.
The footer is included only in the new PDF template default_monite (mentioned below) and is not displayed in other PDF templates.
Project name in PDFs. Invoices, quotes, and credit notes now display the name of the associated project in the PDF document header. This improvement applies to all PDF templates.
New PDF template default_monite is available for invoices, quotes, and credit notes - in addition to the existing templates.
This template features a clean and modern design with a focus on simplicity.
It’s the first of many new templates coming to the Monite platform in the following months.
We recommend that partners set this PDF template as default for new entities, and later migrate existing entities from the old PDF templates to the new ones.
Old PDF templates (classic, standard, and others) will eventually be deprecated in favor of the new templates.
The template ID deb7a4d1-e46c-4e01-8189-d5f249da7a2f is the same in all environments.

PATCH /entities/{entity_id}/settings endpoint can now be accessed with entity user tokens.
The user must have a role with the entity.update permission.PUT /entities/{entity_id}/logo and DELETE /entities/{entity_id}/logo endpoints can now be accessed with entity user tokens.
The user must have a role with the entity.update permission.external_reference that lets you map products between Monite and external systems.
This field is also available in inline products that are defined directly in invoices and quotes.Klarna and Affirm are now available as payment methods in the Payment Web Component and payment pages. These BNPL payment methods can help entities enhance their cash flow by letting customers pay in installments while the entity receives the full payment upfront.

To enable Klarna and Affirm for your US entities, add them to the entity’s list of payment methods
and then include these methods when creating invoice payment links.
We’ve expanded our payment coverage to include Open Banking payments in Austria. Payment links created for Austrian payers can now include a bank transfer payment option.
This also expands the available payment options for accounts payable and accounts receivable:
Monite’s built-in catalog of VAT & tax rates now includes Canadian sales tax rates – GST, PST, QST, and HST. This gives Canadian entities an option to select invoice tax rates from the catalog instead of filling in the values manually.
Composite tax rates indicate their components, for example, GST 5% + PST 7%.
POST /accounting_synced_records /{synced_record_id} /push now supports force-pushing of payment records.GET /accounting_synced_records ?object_type=payment_record.GET /payment_records and GET /payment_records/{payment_record_id} endpoints have a new field history, that provides a chronological log of all status changes for a payment record, helping track its full lifecycle.Payables history. You can now retrieve document history for payables using the new GET /payables/{payable_id}/history endpoint. The history tracks key events such as when a payable is created, updated, or deleted; when its status changes; and when a credit note is linked or unlinked.
Improved filtering by tags. We’ve added an optional query parameter has_tags (true or false) to GET /payables and GET /analytics/payables. You can use this parameter to filter payables based on whether they have tags.
Philippines support. We’ve added VAT rates and regulatory coverage for the Philippines. Refer to the additional considerations for invoicing in the Philippines.
Invoice due date can now be set directly instead of calculated based on payment terms.
To set the due date, use the payment_terms.term_final.end_date field when creating or updating an invoice.
Invoice payment terms can now be defined inline, as an alternative to referencing a pre-existing payment terms object.
The due date and early discount dates can be defined with either number_of_days or end_date; the other field will be calculated automatically.
When using tax_rate_value to specify invoice VAT rates inline, you can now also specify the tax_rate_name label to use in PDF invoices.
GET /accounting_synced_records ?object_type=product.We’ve improved how custom VAT rates are displayed in PDF invoices, quotes, and credit notes. The totals section in PDFs now includes a breakdown of VAT amounts per VAT component. For example:
Apple Pay and Google Pay are now available as payment methods in the Payment Web Component and payment pages. These payment methods are available by default to all entities that are onboarded to receive card payments.
Apple Pay and Google Pay options are displayed to payers with compatible Apple Pay devices and Google Pay devices if the payer’s wallet has at least one card.
Partners who use a custom domain for payment pages should contact their Monite Account Manager to enable Apple Pay and Google Pay for their entities.

This release improves the search functionality for receivables:
Added the POST /receivables/search endpoint as an alternative to GET /receivables.
The POST version works the same as GET but sends the search and filter parameters in the request body instead of the URL query string.
You can use the POST version for complex search queries where using GET would exceed the URL length limit.
Significantly reduced the length of the pagination tokens returned by GET /receivables and POST /receivables/search to reduce the overall request size for paginated requests.
Pagination tokens used by GET /receivables and POST /receivables/search now expire after 24 hours.
These pagination tokens are intended to be used immediately after you receive them and not stored and used at a later time.
The changes in pagination tokens apply only to the GET /receivables and POST /receivables/search endpoints and do not affect other Monite API endpoints.
object_id__in query parameter to GET /payment_records to get payment records for multiple payables and/or receivables at once.This release brings many new features and improvements to Monite Accounts Receivable APIs, including changes in recurring invoices, VAT rates, new regulatory compliance areas, and more.
Several quality-of-life enhancements have been added to recurring invoices. These changes are fully backward compatible and involve only the addition of new fields to the existing API:
All changes are non-breaking and are backward compatible. The changes are available in all supported API versions: 2024-05-25, 2024-01-31, and 2023-09-01.
You can continue using the old recurrence configuration format for as long as you need. There is no immediate need to update your code.
Added new endpoints to pause and resume recurrences:
Improved: PATCH /receivables/{receivable_id} now supports updating invoices in the recurring status (that is, the invoice templates for recurring invoices).
Improved: The receivable.failed webhook is now also triggered when a recurring invoice cannot be issued due to validation or regulatory errors.
automation_level set to issue or issue_and_send.Updated the Recurrence object format (used by the /recurrences* endpoints):
Added new fields for schedule configuration:
start_date,
end_date,
max_occurrences,
frequency,
interval.
Deprecated the old configration fields: start_month, start_year, end_month, end_year, day_of_month.
Existing recurrences will continue working and were automatically updated to also support the new configuration fields.
For backward compatibility, the API accepts and returns both old and new fields and automatically synchronizes their values where possible.
Caveats:
day_of_month="last_day".max_occurrences return end_year=null and end_month=null.When creating or updating a recurrence, if the request includes both old and new fields then the new fields take precedence and the old fields get overwritten with the values of the corresponding new fields.
Added new possible recurrence status values:
status can have the value paused (in addition to the previous values active, completed, and canceled).iterations[].status can have the value skipped (in addition to the previous values pending, completed, issue_failed, send_failed, canceled).Added new endpoints for managing custom VAT rates:
POST /custom_vat_rates – create a new custom VAT rate.GET /custom_vat_rates – get all custom VAT rates.GET /custom_vat_rates/{custom_vat_rate_id} – get a specific custom VAT rate by ID.PATCH /custom_vat_rates/{custom_vat_rate_id} – update an existing custom VAT rate.DELETE /custom_vat_rates/{custom_vat_rate_id} – delete a specific custom VAT rate.Added new custom_vat_rate_id field in the following endpoints:
POST /receivables – create a new receivable with custom VAT rate.PATCH /receivables/{receivable_id} – update an existing receivable with a custom VAT rate.Added the is_custom field to the TotalVatAmountItem and LineItemProductVatRate objects to indicate whether the VAT rate is custom.
New Zealand support. We’ve added GST rates and regulatory coverage for New Zealand.
GET /receivables now supports sorting and filtering results by discounted_subtotal (the subtotal amount incuding all discounts but excluding VAT).
The filters include both exact value match and “greater/less than” filters:
discounted_subtotaldiscounted_subtotal__gtdiscounted_subtotal__gtediscounted_subtotal__ltdiscounted_subtotal__lteFlexible e-invoicing onboarding.
When onboarding entities to e-invoicing, you can now choose whether the entity needs to send e-invoices, receive e-invoices, or both.
To do this, use the new is_sender and is_receiver fields in the POST /einvoicing_connections request body.
Added new endpoint PATCH /einvoicing_connections to update the is_sender and is_receiver options as well as the entity’s address for e-invoicing registration at any time after the initial onboarding.
Increased the maximum pagination limit from 100 to 250 for the following endpoints:
The default limit value for these endpoints was also changed from 100 to 250.
Fixed an issue where the last_pull timestamp in the accounting connection object was not updated after running an on-demand synchronization with POST /accounting_connections.
POST /counterparts /{counterpart_id} /einvoicing_credentials, Monite now verifies the identifier length and format and checks that this identifier is actually registered on the PEPPOL network.description field in approval policies was changed from required to optional.draft, issued, or issued and automatically sent. To do this, use the automation_level field in the recurrence configuration. You can set this option for each recurring invoice individually.Filtering receivables by product IDs. GET /receivables has new query parameters product_ids and product_ids__in to find invoices, quotes, and credit notes that include one or more of the specified products:
/receivables?product_ids=...: Return only receivables that include all of the products with the specified IDs and optionally other products that are not specified./receivables?product_ids__in=...: Return only receivables that include at least one of the products with the specified IDs.Invoice field fulfillment_date is now optional in countries where it’s not required for regulatory compliance. If not provided and the country requires it, we will auto-generate the value based on the issue_date field.
E-invoicing improvements. When invoices or credit notes are sent via e-invoicing, the generated e-invoice XML is now stored and its link is available in the einvoice_file_url field. If the e-invoice is sent via email, the XML file is also attached to the email automatically.
tag_ids__not_in filter to GET /payables and GET /analytics/payables to find payables that do not have any of the specified tag IDs.We’ve improved the payment experience for entities making SEPA Credit payments.
Previously, entity users had to manually select the bank country, bank institution, and enter the account name and IBAN each time they made a payment to a counterpart.
With this update, entity users will be able to:

Added support for pushing invoices and credit notes that include discounts:
Discounts defined as a fixed amount are recalculated as percentage discounts when pushed into the accounting system.
Deductions and incentives are pushed as negative line items with 0% tax rate. If the entity’s accounting system has several 0% tax rates defined, use the entity setting accounting. to specify which of those 0% tax rate to attach to the deduction line item.
Fixed an issue where products will very long descriptions could not be pulled from accounting systems.
We’ve improved the GET /receivables/required_fields endpoint that returns conditionally required invoice fields and counterpart fields to ensure invoice compliance.
This endpoint now supports the counterpart_country and counterpart_type query parameters to check the requirements for a particular country or counterpart type before creating said counterpart.
The two main usage scenarios are now as follows (spaces added for readability):
Check whether an organization or individual counterpart from the specified country needs tax_id and/or VAT ID to be specified on invoices:
Check whether an existing counterpart needs tax_id and/or VAT ID to be specified on invoices:
We’ve extended the payments records functionality for partners who use external payment rails:
Added new fields to payment records:
payment_intent_status - user-defined string, can be used to mirror the payment intent status from external payment rails,
payment_method - user-defined string, for example, “card” or “cash”,
planned_payment_date - planned date for future scheduled payments,
status - possible values are created, processing, or succeeded.
succeeded status.Added new endpoints to manage the lifecycle of user-created payment records:
PATCH /payment_records/{payment_record_id} - Most editable fields can be updated only while a payment record is in the created status, except the payment_intent_status field which can be updated in any payment record status.POST /payment_records/{payment_record_id}/start_processingPOST /payment_records/{payment_record_id}/mark_as_succeededPOST /payment_records/{payment_record_id}/cancelAdded new query filters to GET /payment_records to filter results by created_at, object_type, paid_at, payment_intent_status, payment_method, planned_payment_date, status, or updated_at.
The paid_at field was changed from required to optional.
Improvements for VAT-inclusive pricing
Flexible discount options. Entities that use VAT-inclusive pricing can choose whether to apply discounts before or after VAT.
This is controlled by the entity setting vat_inclusive_discount_mode.
The default mode is exclusive, which means Monite first deducts VAT from a line item’s VAT-inclusive amount and applies the discount to the resulting taxable base.
Another mode is inclusive, where discounts are applied to VAT-inclusive amounts.
The value of this setting is also returned in the vat_inclusive_discount_mode field of invoice, quote, and credit note responses to indicate which mode each document uses.
vat_inclusive_discount_mode setting affects only flat amount discount and does not affect percentage discounts.Adjusted the labels in PDFs to indicate when prices and subtotals include or exclude VAT.
PDF and email improvements
Hiding entity bank account from PDFs. We’ve added new entity settings
document_rendering.
to control whether PDF invoices, quotes, and credit notes should include entity bank account information.
By default, bank account details are included in PDFs but you can change the display_entity_bank_account setting to false to hide that information.
Hiding bank account details can be useful if the entity uses invoice payment links, this helps ensure that payments can be made only via payment links for automatic reconciliation.
PDF invoices created by Australian entities registered for GST now use the title “Tax Invoice” instead of “Invoice”.
Number formatting in PDFs and emails now uses decimal and thousand separators based on the entity country.
Longer product descriptions. The maximum length of product descriptions has been increased from 255 to 2000 characters. However, descriptions in PDF documents are currently trimmed down to 255 characters.
GET /receivables now supports sorting documents by total_amount.
Added new auto-calculated field subtotal_after_vat to invoice, quote, and credit note responses.
It is the sum of subtotal and total_vat_amount.
In other words, subtotal_after_vat contains the invoice subtotal including VAT and line item discounts but excluding invoice-level discount.
Improved filtering by attached file. We’ve added a new query parameter has_file (true or false) to the endpoints listed below. This allows you to filter documents based on whether they have attachments.
New AP credit notes fields. We’ve added the new fields counterpart and counterpart_raw to the AP credit notes responses for enhanced counterpart data handling.
X-Monite-Entity-Id header is no longer mandatory for all /ocr_tasks* endpoints.document_type of the POST /ocr_tasks endpoint is no longer mandatory. Now, if the field is not specified, the system will attempt to determine it automatically. The same applies to the document_type query parameter in the /ocr_tasks/upload_from_file endpoint.We’ve updated the Monite OCR engine to support larger files:
The issue_date and due_date of issued invoices can now be updated in the non-compliant mode.
PDF invoices with payment links now include the payment link as text (in addition to a QR code). This way, desktop users can easy access payment links from PDF invoices.

payment_cancelled status.GET /payment_intents has a new query parameter object_id__in to bulk get payment intents associated with any of the specified invoices.Improved PDF file naming. Previously, PDF invoices, quotes, and credit notes used UUIDs as file names, such as 3038dd44-9cce-464d-9e14-58f2fd121850.png. Now, Monite generates PDF file names in the format TYPE-DOCUMENTID.pdf, for example, Invoice-INV-12345.pdf or Quote-draft.pdf. Spaces and special characters are replaced with -.
These file names are used for email attachments and when downloading PDFs from React SDK and Drop-in components.
Added a new auto-calculated field total_after_vat to line items in invoices, quotes, and credit notes. It contains the line item amount including discounts and VAT.
DELETE /roles/{role_id} endpoint to delete user roles that are no longer in use.Support for projects in purchase orders. Purchase orders can now be assigned to projects via the project_id field. Also, GET /payable_purchase_orders has the project_id query filter to find all purchase orders that belong to a specific project.
Improved sorting and filtering of payables and credit notes.
Payables can now be sorted by the issued_at field.
Added the issued_at, issued_at__gt, issued_at__gte, issued_at__lt, and issued_at__lte query parameters to:
GET /payablesGET /analytics/payablesUse the origin query parameter to find only documents received via e-invoicing, or via email, or uploaded directly to Monite. This parameter was added to:
GET /payablesGET /payables_credit_notesGET /analytics/payablesGET /analytics/credit_notesUnit price OCR adjustments. If a line item’s unit price extracted by OCR has more decimal points than can be precisely stored in Monite, that line item gets normalized as follows:
unit_price equal to the line item total amount,quantity to 1.For example, an item with unit price € 0.1225 and quantity 8 is instead stored with unit price € 0.98 (0.1225 × 8) and quantity 1.
This ensures precise calculation of subtotal and total amounts.
Line items adjusted in this way have the ocr_set_quality_to_one field set to true.
Added new webhooks for quotes: receivable.accepted, receivable.declined, receivable.expired. These webhooks are triggered when a quote is moved to the corresponding status.
Increased the maximum pagination limit for GET /receivables from 100 to 250 items. The default limit is still 100.
Improved the performance of the GET /receivables endpoint.
GET /accounting_connections/{connection_id} includes a new field, business_info, that contains entity information retrieved from the connected accounting system. Xero application developers can use this information to meet the
Xero certification requirement of displaying the name of the connected tenant.The preview field of PDF templates now contains a link to a PNG preview image of the corresponding template. (Previously, the preview field returned null.)
Previously:
accounting_tax_rate_id. It allows users to reference a specific tax rate from the accounting system to be used when pushing an invoice to that accounting system. This can be useful if the accounting system contains several tax rates with the same value but only one of them is valid for a given Monite-generated invoice.Improved filtering by projects. GET /receivables and GET /analytics/receivables have a new query parameter project_id__in to find all receivables that belong to one or more of the specified projects.
Fixed an issue with PATCH /overdue_reminders/{overdue_reminder_id} where passing terms=null did not unset the terms.
paid status back to partially_paid or waiting_to_be_paid if the payment gets disputed or payout to the counterpart fails.amount values to indicate chargebacks and refunds.receipt document type when uploading receipts for OCR.Skipping the approval flow. Entities have a new setting payables_skip_approval_flow. If it is true, any newly created payables of that entity will be automatically moved from the new to waiting_to_be_paid status, bypassing approval policies.
Improved filtering by projects. We’ve added new query parameters project_id and project_id__in to the endpoints listed below. You can use these parameters to retrieve documents from one or more projects.
status parameter of GET /entities to find only active or inactive entities.ocr_task.finished webhook when it finishes processing a file.Now, you can customize the required fields for credit notes. You can now control which fields must be filled in a draft credit note before it can transition to the new status. The following endpoints were added for this purpose:
GET /payable_credit_notes/validations - get the list of required fields.PUT /payable_credit_notes/validations - update the list of required fields.POST /payable_credit_notes/validations/reset - restore the default list of required fields.POST /payable_credit_notes/{credit_note_id}/validate - returns the information that is missing to move a credit note from draft to the new state.We’ve updated the list of supported currency codes:
GET /receivables/required_fields to get conditionally required invoice fields for the given entity and counterpart.total_vat_amounts[].taxable_amount to invoice, quote, and credit note responses. It contains the taxable amount for which the given VAT is calculated.limit query parameter to GET /analytics/payables and GET /analytics/credit_notes to control the number of results returned.GET /analytics/receivables endpoint as a data source for accounts receivable reports and charts to help entities monitor trends, track KPIs, and gain data-driven insights to optimize their cash flow.accounting. ledger_account_ids. products. It specifies the ledger account to use when pushing products that do not have a ledger account assigned. For more information, see How data is synchronized.You can configure Monite to automatically link credit notes which have a payable reference to the appropriate payable during the credit note creation. Learn more.
We’ve expanded our payment coverage to include Open Banking payments in Germany. Payment links created for German payers can now include a bank transfer payment option.
This also expands the available payment options for accounts payable and accounts receivable:
New webhooks for invoices: receivable.overdue and receivable.uncollectible. These webhooks are triggered when an invoice is moved to the corresponding statuses.
Line item totals in PDF invoices, quotes, and credit notes are now displayed with up to four decimal places. This improvement aligns with a similar change made earlier to line item unit prices in PDFs.
GET /analytics/credit_notes endpoint to get real-time insights for credit notes with aggregated data and detailed breakdowns, filters, and metrics. Learn more.payable.allow_credit_note_autolinking to allow credit notes to be automatically linked to their related payables.based_on field is no longer required when creating credit notes.POST /payable_credit_notes/upload_from_file allows you to upload a credit note in the PDF, PNG, or JPG format to Monite. Learn more.POST /payable_credit_notes/{credit_note_id}/cancel_ocr allows you to cancel the OCR scanning process for a specific credit note.file_id and file_url added to the credit note responses.based_on field was changed from required to optional.Recurring invoice tweaks. The subject_text and body_text fields in recurring invoice configuration were changed from required to optional. Recurring invoices will be sent automatically only if both subject_text and body_text are provided, plus either recipients in the recurrence configuration or counterpart_contact.email in the base invoice.
PDF improvements. Unit prices in PDF invoices, quotes, and credit notes are now displayed with up to four decimal places. This allows for more precise display of prices in documents that use VAT-inclusive pricing.
tag_ids query parameter in GET /receivables lets you find receivables that have all of the specified tags. In other words, this filter works as an AND and is an alternative to the existing tag_ids__in filter that works as an OR.API version 2024-05-25 is now publicly available to all Monite partners. To start using this version:
Change the api_version setting in your partner settings (/settings) to 2024-05-25:
Change the X-Monite-Version header value in all API calls to 2024-05-25. For example:
For more information, see How to upgrade.